<!DOCTYPE html>
<html lang="hu">
    <head>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="design.css">
        <script src="/muveletek.js"></script>
        <title>Az adott sportpálya részleteinek megtekintése</title>
    </head>
    <body>
        <div>
            <img src="http://localhost:8080/kepek/sports4.png" id="alapkep" alt="alapkep">
        </div>
        <%- include('partials/navbar.ejs') %>
        <div class="egyseg">
            <div class="egyseg">
                <label>Pálya egyedi azonosítója: <%= inf.ID %></label><br><br>
                <label>Pálya típusa: <%= inf.tipus %></label><br><br>
                <label>Órabér: <%= inf.oraber %></label><br><br>
                <label>Cím: <%= inf.cim %> </label><br><br>
                <label>Leírás: <%= inf.leiras %> </label><br><br>
                <a class="button1" onclick="szabadHelyek(`<%= inf.ID %>`,`<%= tokenObj.szemID %>`)">Szabad helyek megtekintése</a><br><br>
                <div id="szabadHelyek<%= inf.ID %>" class="egyseg"></div>
                <div id="szabadHelyekLista<%= inf.ID %>"></div>
                </div>
                <% if (typeof tokenObj !== 'undefined') { %>
                <% nevek.forEach((nev) => { %>
                    <div class="egyseg">
                    <img src= "<%= nev %>" class="feltoltottKep">
                    <% if (typeof tokenObj !== 'undefined') { %>
                        <% if (tokenObj.jogosultsag === 0 || inf.szemID === tokenObj.szemID) { %>
                                <input type="button" class="button" value="Kép törlése" onclick="kepTorlese(event, `<%= nev %>`)">
                        <% } %>
                    <% } %>
                    </div>
                <% }) %>
                <div>
                    <% if (tokenObj.szemID === inf.szemID || tokenObj.jogosultsag === 0) { %>
                    <div class="egyseg">
                    <form method="POST" action="/kepfeltoltese<%= inf.ID %>" enctype="multipart/form-data">
                        <table>
                            <tr>
                                <td>Válassza ki a feltöltendő képet!</td>
                                <td><input type="file" name="kep" class="button"></td>
                            </tr>
                            <tr>
                                <td>Kép feltöltése</td>
                                <td><input type="submit" class="button"></td>
                            </tr>
                        </table>
                    </form>
                    </div>
                    <% } %>
                </div>
                <% } %>
        </div>
    </body>
</html>
